No kernel support for Sierra Wireless 250U 3G/4G USB Dongle

Bug #599569 reported by August Huber on 2010-06-28
38
This bug affects 6 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Lucid
Low
Steve Conklin

Bug Description

kernel patch submitted to mainline kernel. Please apply attached patch to Lucid kernel

---- sent msg ----
Date: Mon, 28 Jun 2010 11:46:05 -0700
Message-ID: <email address hidden>
Subject: [Patch 2.6.34 1/1] usb: Add PID for Sierra 250U to
       drivers/usb/serial/sierra.c
From: august huber <email address hidden>
To: <email address hidden>
Content-Type: text/plain; charset=UTF-8

Add VID/PID for Sierra Wireless 250U USB dongle to drivers/usb/sierra/sierra.c
Allows use of 3G radio only

---
diff -upNr linux-2.6.34/drivers/usb/serial/sierra.c
linux-2.6.34-add/drivers/usb/serial/sierra.c
--- linux-2.6.34/drivers/usb/serial/sierra.c 2010-05-16
14:17:36.000000000 -0700
+++ linux-2.6.34-add/drivers/usb/serial/sierra.c 2010-06-28
11:24:10.000000000 -0700
@@ -245,6 +245,7 @@ static const struct usb_device_id id_tab
       { USB_DEVICE(0x1199, 0x0021) }, /* Sierra Wireless AirCard 597E */
       { USB_DEVICE(0x1199, 0x0112) }, /* Sierra Wireless AirCard 580 */
       { USB_DEVICE(0x1199, 0x0120) }, /* Sierra Wireless USB Dongle 595U */
+ { USB_DEVICE(0x1199, 0x0301) }, /* Sierra Wireless USB Dongle 250U */
       /* Sierra Wireless C597 */
       { USB_DEVICE_AND_INTERFACE_INFO(0x1199, 0x0023, 0xFF, 0xFF, 0xFF) },
       /* Sierra Wireless T598 */

Signed-off-by: August Huber <email address hidden>
---- end sent msg ----

Jeremy Foshee (jeremyfoshee) wrote :

Hi August,

Please be sure to confirm this issue exists with the latest development release of Ubuntu. ISO CD images are available from http://cdimage.ubuntu.com/daily/current/ . If the issue remains, please run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux 599569

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
August Huber (gus-pbx) wrote :

Jeremy,

This issue definitely exists upstream, the patch I sent you is the upstream patch I submitted to mainline. The PID's haven't been updated since april in that source file, see git history for release and nextgen:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=history;f=drivers/usb/serial/sierra.c;h=ef0bdb08d7887b17c7a6a17bc933be7aa0680175;hb=HEAD

http://git.kernel.org/?p=linux/kernel/git/next/linux-next.git;a=history;f=drivers/usb/serial/sierra.c;h=ef0bdb08d7887b17c7a6a17bc933be7aa0680175;hb=HEAD

Evan (ev) wrote :

I've built a deb with this change and tested it on two different 10.04 systems with the 250U card. Works perfectly.

Changed in linux (Ubuntu):
status: Incomplete → Triaged
Stefan Bader (smb) on 2010-07-30
tags: added: upstream-stable-patch
Steve Conklin (sconklin) wrote :

SRU Justification

Impact: The upstream process for stable tree updates is quite similar in scope to the Ubuntu SRU process, e.g., each patch has to demonstrably fix a bug, and each patch is vetted by upstream by originating either directly from Linus' tree or in a minimally backported form of that patch.

The 2.6.32.21 upstream stable patch set is now available and contains fixes for this problem. It should be included in the Ubuntu kernel as well.

Related commits in the Lucid repo are:

0a24062 USB: Add PID for Sierra 250U to drivers/usb/serial/sierra.c

Changed in linux (Ubuntu Lucid):
status: New → Fix Committed
importance: Undecided → Low
assignee: nobody → Steve Conklin (sconklin)
milestone: none → lucid-updates

Accepted linux into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Steve Conklin (sconklin) wrote :

Could people affected by this please test the proposed kernel and report whether it resolves the problem? We are awaiting confirmation that the issue is resolved.

See the previous comment for information about how to install the proposed kernel.

Thanks!

Steve

Samuel Walter (swalter718) wrote :

Does the kernel patch allow the function of both the 3G and 4G networks, or is this still a 3G-Only fix?

// Samuel Walter \\

Chris Morrow (morrowc) wrote :

The proposed kernel seems to work for 3g...

morrowc@tweezer:~$ uname -a
Linux tweezer 2.6.32-25-generic #44-Ubuntu SMP Fri Sep 17 20:05:27 UTC 2010 x86_64 GNU/Linux

ppp0 Link encap:Point-to-Point Protocol
          inet addr:184.200.99.249 P-t-P:68.28.121.69 Mask:255.255.255.255
          UP POINTOPOINT RUNNING NOARP MULTICAST MTU:1500 Metric:1

Sep 22 00:25:03 tweezer kernel: [ 114.532685] usb 2-1: new high speed USB device using ehci_hcd and address 2
Sep 22 00:25:03 tweezer kernel: [ 114.680663] usb 2-1: configuration #1 chosen from 1 choice
Sep 22 00:25:03 tweezer kernel: [ 114.681622] hub 2-1:1.0: USB hub found
Sep 22 00:25:03 tweezer kernel: [ 114.681683] hub 2-1:1.0: 2 ports detected
Sep 22 00:25:05 tweezer kernel: [ 116.560604] hub 2-1:1.0: unable to enumerate USB device on port 2
Sep 22 00:25:06 tweezer kernel: [ 117.380235] usb 2-1.2: new full speed USB device using ehci_hcd and address 4
Sep 22 00:25:06 tweezer kernel: [ 117.492046] usb 2-1.2: configuration #1 chosen from 1 choice
Sep 22 00:25:06 tweezer kernel: [ 117.522448] usbcore: registered new interface driver usbserial
Sep 22 00:25:06 tweezer kernel: [ 117.523078] USB Serial support registered for generic
Sep 22 00:25:06 tweezer kernel: [ 117.523244] usbcore: registered new interface driver usbserial_generic
Sep 22 00:25:06 tweezer kernel: [ 117.523249] usbserial: USB Serial Driver core
Sep 22 00:25:06 tweezer kernel: [ 117.531464] USB Serial support registered for Sierra USB modem
Sep 22 00:25:06 tweezer kernel: [ 117.531606] sierra 2-1.2:1.0: Sierra USB modem converter detected
Sep 22 00:25:06 tweezer kernel: [ 117.532833] usb 2-1.2: Sierra USB modem converter now attached to ttyUSB0
Sep 22 00:25:06 tweezer kernel: [ 117.533060] usb 2-1.2: Sierra USB modem converter now attached to ttyUSB1
Sep 22 00:25:06 tweezer kernel: [ 117.533232] usb 2-1.2: Sierra USB modem converter now attached to ttyUSB2
Sep 22 00:25:06 tweezer kernel: [ 117.533334] usb 2-1.2: Sierra USB modem converter now attached to ttyUSB3
Sep 22 00:25:06 tweezer kernel: [ 117.533370] usbcore: registered new interface driver sierra
Sep 22 00:25:06 tweezer kernel: [ 117.533375] sierra: v.1.3.8:USB Driver for Sierra Wireless USB modems
Sep 22 00:25:07 tweezer kernel: [ 118.920235] usb 2-1.1: new high speed USB device using ehci_hcd and address 5
Sep 22 00:25:07 tweezer kernel: [ 119.031157] usb 2-1.1: configuration #1 chosen from 1 choice
Sep 22 00:25:29 tweezer kernel: [ 140.714824] PPP BSD Compression module registered
Sep 22 00:25:29 tweezer kernel: [ 140.719344] PPP Deflate Compression module registered

I don't know if this does 4g, there's no config-bits I can see to make that appear (or apparent)

  Yeah I can confirm that... I just built a new system with Ubuntu
10.10 beta which has the included drivers, but I live in Denver and
have no way of checking 4G connectivity.

On 09/21/2010 10:28 PM, Chris Morrow wrote:
> The proposed kernel seems to work for 3g...
>
>
> morrowc@tweezer:~$ uname -a
> Linux tweezer 2.6.32-25-generic #44-Ubuntu SMP Fri Sep 17 20:05:27 UTC 2010 x86_64 GNU/Linux
>
>
> ppp0 Link encap:Point-to-Point Protocol
> inet addr:184.200.99.249 P-t-P:68.28.121.69 Mask:255.255.255.255
> UP POINTOPOINT RUNNING NOARP MULTICAST MTU:1500 Metric:1
>
>
> Sep 22 00:25:03 tweezer kernel: [ 114.532685] usb 2-1: new high speed USB device using ehci_hcd and address 2
> Sep 22 00:25:03 tweezer kernel: [ 114.680663] usb 2-1: configuration #1 chosen from 1 choice
> Sep 22 00:25:03 tweezer kernel: [ 114.681622] hub 2-1:1.0: USB hub found
> Sep 22 00:25:03 tweezer kernel: [ 114.681683] hub 2-1:1.0: 2 ports detected
> Sep 22 00:25:05 tweezer kernel: [ 116.560604] hub 2-1:1.0: unable to enumerate USB device on port 2
> Sep 22 00:25:06 tweezer kernel: [ 117.380235] usb 2-1.2: new full speed USB device using ehci_hcd and address 4
> Sep 22 00:25:06 tweezer kernel: [ 117.492046] usb 2-1.2: configuration #1 chosen from 1 choice
> Sep 22 00:25:06 tweezer kernel: [ 117.522448] usbcore: registered new interface driver usbserial
> Sep 22 00:25:06 tweezer kernel: [ 117.523078] USB Serial support registered for generic
> Sep 22 00:25:06 tweezer kernel: [ 117.523244] usbcore: registered new interface driver usbserial_generic
> Sep 22 00:25:06 tweezer kernel: [ 117.523249] usbserial: USB Serial Driver core
> Sep 22 00:25:06 tweezer kernel: [ 117.531464] USB Serial support registered for Sierra USB modem
> Sep 22 00:25:06 tweezer kernel: [ 117.531606] sierra 2-1.2:1.0: Sierra USB modem converter detected
> Sep 22 00:25:06 tweezer kernel: [ 117.532833] usb 2-1.2: Sierra USB modem converter now attached to ttyUSB0
> Sep 22 00:25:06 tweezer kernel: [ 117.533060] usb 2-1.2: Sierra USB modem converter now attached to ttyUSB1
> Sep 22 00:25:06 tweezer kernel: [ 117.533232] usb 2-1.2: Sierra USB modem converter now attached to ttyUSB2
> Sep 22 00:25:06 tweezer kernel: [ 117.533334] usb 2-1.2: Sierra USB modem converter now attached to ttyUSB3
> Sep 22 00:25:06 tweezer kernel: [ 117.533370] usbcore: registered new interface driver sierra
> Sep 22 00:25:06 tweezer kernel: [ 117.533375] sierra: v.1.3.8:USB Driver for Sierra Wireless USB modems
> Sep 22 00:25:07 tweezer kernel: [ 118.920235] usb 2-1.1: new high speed USB device using ehci_hcd and address 5
> Sep 22 00:25:07 tweezer kernel: [ 119.031157] usb 2-1.1: configuration #1 chosen from 1 choice
> Sep 22 00:25:29 tweezer kernel: [ 140.714824] PPP BSD Compression module registered
> Sep 22 00:25:29 tweezer kernel: [ 140.719344] PPP Deflate Compression module registered
>
>
> I don't know if this does 4g, there's no config-bits I can see to make that appear (or apparent)
>

Stefan Bader (smb) wrote :

The patch just makes the driver accept the additional device. I cannot really say whether 4G is supported in general or not. So the device appearing is enough for verification here. If 4G would be an issue this should be a different bug. Thanks for testing.

tags: added: verification-done
removed: verification-needed
Samuel Walter (swalter718) wrote :

  Thanks for the information, Stephen. I'm planning on taking a trip to
4G-Land in the near future so i'll see how it goes and submit a new bug
if the Sierra 250U refuses to speak "4G" :-)

Respectfully,

Samuel Walter
<email address hidden>

//* pgp key available @ pgp.mit.edu Key ID<EEDC36EE> *//

On 09/24/2010 02:15 AM, Stefan Bader wrote:
> The patch just makes the driver accept the additional device. I cannot
> really say whether 4G is supported in general or not. So the device
> appearing is enough for verification here. If 4G would be an issue this
> should be a different bug. Thanks for testing.
>
> ** Tags added: verification-done
> ** Tags removed: verification-needed
>

Launchpad Janitor (janitor) wrote :
Download full text (43.7 KiB)

This bug was fixed in the package linux - 2.6.32-25.44

---------------
linux (2.6.32-25.44) lucid-proposed; urgency=low

  [ Brad Figg ]

  * SAUCE: (no-up) Modularize vesafb -- fix initialization
    - LP: #611471

  [ Stefan Bader ]

  * Revert "SAUCE: sync before umount to reduce time taken by ext4 umount"
    - LP: #543617, #585092

  [ Steve Conklin ]

  * Revert "SAUCE: tulip: Let dmfe handle davicom on non-sparc"
    - LP: #607824

  [ Tim Gardner ]

  * [Config] Added ums-cypress to udeb
    - LP: #576066

  [ Upstream Kernel Changes ]

  * Revert "PCI quirk: Disable MSI on VIA K8T890 systems"
    - LP: #607824
  * Revert "PCI quirks: disable msi on AMD rs4xx internal gfx bridges"
    - LP: #607824
  * Revert "(pre-stable) Input: psmouse - reset all types of mice before
    reconnecting"
    - LP: #607824
  * Revert "jbd: jbd-debug and jbd2-debug should be writable"
    - LP: #607824
  * Revert "ext4: Make fsync sync new parent directories in no-journal
    mode"
    - LP: #615548
  * Revert "ext4: Fix compat EXT4_IOC_ADD_GROUP"
    - LP: #615548
  * Revert "ext4: Conditionally define compat ioctl numbers"
    - LP: #615548
  * Revert "ext4: restart ext4_ext_remove_space() after transaction
    restart"
    - LP: #615548
  * Revert "ext4: Clear the EXT4_EOFBLOCKS_FL flag only when warranted"
    - LP: #615548
  * Revert "ext4: Avoid crashing on NULL ptr dereference on a filesystem
    error"
    - LP: #615548
  * Revert "ext4: Use bitops to read/modify i_flags in struct
    ext4_inode_info"
    - LP: #615548
  * Revert "ext4: Show journal_checksum option"
    - LP: #615548
  * Revert "ext4: check for a good block group before loading buddy pages"
    - LP: #615548
  * Revert "ext4: Prevent creation of files larger than RLIMIT_FSIZE using
    fallocate"
    - LP: #615548
  * Revert "ext4: Remove extraneous newlines in ext4_msg() calls"
    - LP: #615548
  * Revert "ext4: init statistics after journal recovery"
    - LP: #615548
  * Revert "ext4: clean up inode bitmaps manipulation in ext4_free_inode"
    - LP: #615548
  * Revert "ext4: Do not zero out uninitialized extents beyond i_size"
    - LP: #615548
  * Revert "ext4: don't scan/accumulate more pages than mballoc will
    allocate"
    - LP: #615548
  * Revert "ext4: stop issuing discards if not supported by device"
    - LP: #615548
  * Revert "ext4: check s_log_groups_per_flex in online resize code"
    - LP: #615548
  * Revert "ext4: fix quota accounting in case of fallocate"
    - LP: #615548
  * Revert "ext4: allow defrag (EXT4_IOC_MOVE_EXT) in 32bit compat mode"
    - LP: #615548
  * Revert "ext4: rename ext4_mb_release_desc() to ext4_mb_unload_buddy()"
    - LP: #615548
  * Revert "ext4: Remove unnecessary call to ext4_get_group_desc() in
    mballoc"
    - LP: #615548
  * Revert "ext4: fix memory leaks in error path handling of
    ext4_ext_zeroout()"
    - LP: #615548
  * Revert "ext4: check missed return value in ext4_sync_file()"
    - LP: #615548
  * Revert "ext4: Issue the discard operation *before* releasing the blocks
    to be reused"
    - LP: #615548
  * Revert "ext4: Fix buffer head leaks after calls to
    ext4_get_inode_loc()"
    - LP: #615548
  * Revert "ex...

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released

As far as I understand there is still no 4g support for this device. I am currently ruining Edubuntu 11.04 and have ran the most recent updates at the date of this posting (July 25th, 2011 2:14am est time). Once again this is reply to the fact that the 4g wimax drivers for the Sierra 250U. I am not for sure on how others read this report originally, but I feel the original author is stating the same thing:

"Add VID/PID for Sierra Wireless 250U USB dongle to drivers/usb/sierra/sierra.c
*Allows use of 3G radio only*"

so... the 4g is not working, I am not seeing how this is resolved through these post.

But as suggested:

Stefan Bader (stefan-bader-canonical) wrote on 2010-09-24: #10

"The patch just makes the driver accept the additional device. I cannot really say whether 4G is supported in general or not. So the device appearing is enough for verification here. If 4G would be an issue this should be a different bug. Thanks for testing."

I will open a new bug or problem report.

Stefan Bader (smb) wrote :

This bug (device support for the dongle) was/is fixed in upstream since 2.6.35 ((this only enables 3G). So I am changing the development task for this report to fixed as well.

Changed in linux (Ubuntu):
status: Triaged → Fix Released
August Huber (gus-pbx) wrote :

For anyone who is looking for 4G support, I contacted Sierra and Beecem several times about getting 4G reference driver material without any success. I personally have moved to another radio vendor for 4G support.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers